###################################################
### chunk number 1: OpenPDF
###################################################
##postscript( "medichi.eps", width=7.0, height=5.0, paper="special" )
png( "medichi.png", width=640, height=480 )


###################################################
### chunk number 2: RunChunk
###################################################
library( MeDiChI )
data( "halo.lowres", package="MeDiChI" )
fit <- chip.deconv( data.halo.lowres, where="Chr", fit.res=10,
                    center=650000, wind=20000, max.steps=100, n.boot=10,
                    kernel=kernel.halo.lowres, verbose=TRUE )
coef( fit ) ## Print out the coefficients
plot( fit, plot.genes=TRUE, cex=0.5, cex.lab=0.8, cex.axis=0.8 ) ## Plot it, including ORFs


###################################################
### chunk number 3: closePDF
###################################################
tmp <- dev.off()


###################################################
### chunk number 4: RunDataSet eval=FALSE
###################################################
## fits <- deconv.entire.genome( data.halo.lowres, max.steps=100, fit.res=30, n.boot=10,
##                              boot.sample="residual", kernel=kernel.halo.lowres,
##                              verbose=FALSE )
## coef( fits$fits.fin$Chr )
## plot( fits$fits.fin$Chr, center=650000, wind=20000, plot.genes=T )


###################################################
### chunk number 5: GetPeakProfile eval=FALSE
###################################################
## peak.params <- fit.peak.profile( data.halo.lowres, tile.size=500, quant.cutoff="q0.98",
##                             chrom="Chr", fit.res=30, max.steps=100, plot=T, name="Halo-lowres" )


###################################################
### chunk number 6: PlotPeakProfile eval=FALSE
###################################################
## plot( peak.params )


###################################################
### chunk number 7: GetKernel eval=FALSE
###################################################
## peak.params$kernel


